﻿using Nested_WebGrid_MVC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Nested_WebGrid_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            using (NorthwindEntities entites = new NorthwindEntities())
            {
                List<CustomerModel> model = new List<CustomerModel>();
                foreach (Customer customer in entites.Customers.Take(10))
                {
                    model.Add(new CustomerModel
                    {
                        ContactName = customer.ContactName,
                        City = customer.City,
                        Orders = entites.Orders.Where(o => o.CustomerID == customer.CustomerID).Take(5).ToList()
                    });
                }

                return View(model);
            }
        }
    }
}